All pages
Powered by GitBook
1 of 1

Loading...

Status List

Endpoints for managing status lists

Query status list definitions.

get

Retrieves the status lists, filtered by supported credential ID or status purpose.

Authorizations
x-api-keystringRequired
Query parameters
status_purposestringOptional

Filter by status purpose.

Responses
200

Successfully retrieved the status list definition.

application/json
object[]Optional
404

Status list definitions not found

No content

500

Internal server error

No content

get/api/v1/status-list/defs
GET /api/v1/status-list/defs HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
[
  {
    "created_at": "2025-06-27T20:35:15.473651Z",
    "updated_at": "2025-06-27T20:35:15.996608Z",
    "id": "2321788b-a636-40bc-ae93-5a9a0bc210d3",
    "supported_cred_id": "16fe7a59-5a82-422e-a274-45e2f89a14dc",
    "status_purpose": "revocation",
    "status_message": [],
    "status_size": 1,
    "shard_size": 1024,
    "list_size": 131072,
    "list_seed": "ZFlUArwo3VtgC8TMU9Mypkv8yKEmoB8k",
    "list_index": 0,
    "list_number": "0",
    "next_list_number": "1",
    "list_numbers": [
      "0",
      "1"
    ]
  }
]
post

Post a status list definition.

Authorizations
x-api-keystringRequired
Query parameters
publishbooleanOptional

If true, publish status list on creation at the did:indy provided in publication.did. False by default.

Body
status_purposestringOptional

The purpose of the status. Defaults to "revocation".

Example: revocation
statusstringOptionalExample: 0x00
messagestringOptionalExample: active
status_sizeintegerOptional

The size of the status in bits.

Example: 1
shard_sizeintegerOptional

The size of a shard, between 1 and list_size.

Example: 1024
list_sizeintegerOptional

Number of entries in status list, minimum 131072

Example: 131072
didstringOptionalExample: did:indy:indicio:test:W3v5casouvLGCwVx6KGgYG
Responses
200

Successfully created a status list definition.

application/json
publishedbooleanOptional

Whether the status list was published

Example: true
didstringOptional

did where the list has been published

Example: did:indy:indicio:test:W3v5casouvLGCwVx6KGgYG
status_typestringOptional

format in which the list has been published

Example: w3c
500

Internal server error

No content

post/api/v1/status-list/defs
POST /api/v1/status-list/defs HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 247

{
  "status_purpose": "revocation",
  "status_message": [
    {
      "status": "0x00",
      "message": "active"
    },
    {
      "status": "0x01",
      "message": "revoked"
    }
  ],
  "status_size": 1,
  "shard_size": 1024,
  "list_size": 131072,
  "publication": {
    "did": "did:indy:indicio:test:W3v5casouvLGCwVx6KGgYG"
  }
}
{
  "created_at": "2025-06-27T20:35:15.473651Z",
  "updated_at": "2025-06-27T20:35:15.996608Z",
  "id": "2321788b-a636-40bc-ae93-5a9a0bc210d3",
  "supported_cred_id": "16fe7a59-5a82-422e-a274-45e2f89a14dc",
  "status_purpose": "revocation",
  "status_message": [],
  "status_size": 1,
  "shard_size": 1024,
  "list_size": 131072,
  "list_seed": "ZFlUArwo3VtgC8TMU9Mypkv8yKEmoB8k",
  "list_index": 0,
  "list_number": "0",
  "next_list_number": "1",
  "list_numbers": [
    "0",
    "1"
  ]
}

Get a status list definition by ID.

get

Retrieve the status list.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

Identifier of the status list definition to retrieve.

Responses
200

Successfully retrieved the status list definition.

application/json
idstringOptional

The status list definition ID.

404

Status list not found

No content

500

Internal server error

No content

get/api/v1/status-list/defs/{id}
GET /api/v1/status-list/defs/{id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "created_at": "2025-06-27T20:35:15.473651Z",
  "updated_at": "2025-06-27T20:35:15.996608Z",
  "id": "2321788b-a636-40bc-ae93-5a9a0bc210d3",
  "supported_cred_id": "16fe7a59-5a82-422e-a274-45e2f89a14dc",
  "status_purpose": "revocation",
  "status_message": [],
  "status_size": 1,
  "shard_size": 1024,
  "list_size": 131072,
  "list_seed": "ZFlUArwo3VtgC8TMU9Mypkv8yKEmoB8k",
  "list_index": 0,
  "list_number": "0",
  "next_list_number": "1",
  "list_numbers": [
    "0",
    "1"
  ]
}

Delete a status list definition by ID.

delete

Delete the status list.

Authorizations
x-api-keystringRequired
Path parameters
idstringRequired

Identifier of the status list definition to delete.

Body
recursive_deletebooleanOptional

Delete all underlying status list and entries recursively.

Example: true
Responses
200

Successfully removed the status list definition.

application/json
idstringOptional

The status list definition ID.

Example: 1
404

Status list not found

No content

500

Internal server error

No content

delete/api/v1/status-list/defs/{id}
DELETE /api/v1/status-list/defs/{id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 25

{
  "recursive_delete": true
}
[
  {
    "id": "1"
  }
]

Get a status list credential by credential exchange ID.

get

Delete the status list.

Authorizations
x-api-keystringRequired
Path parameters
credential_exchange_idstringRequired

Identifier of the credential.

Responses
200

Successfully retrieved the status list credential.

application/json
listintegerOptional

The status list number.

Example: 1
indexintegerOptional

The status list index.

Example: 1
statusstringOptional

The status bitstring.

Example: 01
assignedbooleanOptional

Status assigned.

Example: true
404

Credential not found

No content

500

Internal server error

No content

get/api/v1/status-list/entries/{credential_exchange_id}
GET /api/v1/status-list/entries/{credential_exchange_id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Accept: */*
{
  "list": 1,
  "index": 1,
  "status": "01",
  "assigned": true
}

Update a status list credential's status.

patch

Update a status list credential's status.

Authorizations
x-api-keystringRequired
Path parameters
credential_exchange_idstringRequired

Identifier of the credential.

Query parameters
updatebooleanOptional

Whether to automatically update the published status list after revocation. True by default.

Body
statusstringOptional

The status bitstring.

Example: 01
Responses
200

Successfully retrieved the status list credential.

application/json
listintegerOptional

The status list number.

Example: 1
indexintegerOptional

The status list index.

Example: 1
statusstringOptional

The status bitstring.

Example: 01
assignedbooleanOptional

Status assigned.

Example: true
404

Credential not found

No content

500

Internal server error

No content

patch/api/v1/status-list/entries/revoke/{credential_exchange_id}
PATCH /api/v1/status-list/entries/revoke/{credential_exchange_id} HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 15

{
  "status": "01"
}
{
  "list": 1,
  "index": 1,
  "status": "01",
  "assigned": true
}

Update multiple status list credentials' statuses at a time.

patch

Update multiple status list credentials' status at a time.

Authorizations
x-api-keystringRequired
Query parameters
updatebooleanOptional

Whether to automatically update the published status list after revocation. True by default.

Bodyobject[]
credential_exchange_idstringOptional

Identifier of the credential.

Example: string
statusstringOptional

The status bitstring.

Example: 01
Responses
200

Successfully retrieved the status list credential.

application/json
anyOptional
404

Credential not found

No content

500

Internal server error

No content

patch/api/v1/status-list/entries/batch-revoke
PATCH /api/v1/status-list/entries/batch-revoke HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 51

[
  {
    "credential_exchange_id": "string",
    "status": "01"
  }
]
[
  {
    "list": 1,
    "index": 1,
    "status": "01",
    "assigned": true
  }
]
put

Publish a status list definition.

Authorizations
x-api-keystringRequired
Path parameters
def_idstringRequired

Identifier of the status list definition.

Body
didstringOptional

DID.

Example: did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs
verification_methodstringOptional

Verification method.

Example: did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs#assert
status_typestringOptional

Status Type.

Example: w3c
Responses
200

Successfully published the status list definition.

application/json
objectOptional
404

Status list not found

No content

500

Internal server error

No content

put/api/v1/status-list/defs/{def_id}/publish
PUT /api/v1/status-list/defs/{def_id}/publish HTTP/1.1
Host: proven-4-2-test.proven.indicio.tech
x-api-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 150

{
  "did": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs",
  "verification_method": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs#assert",
  "status_type": "w3c"
}
{
  "published": true,
  "definition_id": "249cc470-f20c-43c9-a8e4-2f638848c4c6",
  "status_lists": [
    {
      "iss": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs",
      "nbf": 1752096949,
      "jti": "urn:uuid:0",
      "sub": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/0",
      "vc": {
        "@context": [
          "https://www.w3.org/ns/credentials/v2"
        ],
        "id": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/0",
        "type": [
          "VerifiableCredential",
          "BitstringStatusListCredential"
        ],
        "issuer": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs",
        "validFrom": "2025-07-09T21:35:49.840088+00:00",
        "validUntil": "2026-07-09T21:35:49.840088+00:00",
        "credentialSubject": {
          "id": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/0#list",
          "type": "BitstringStatusList",
          "statusPurpose": "revocation",
          "encodedList": "H4sIALXgbmgC_-3BMQEAAADCoPVPbQwfoAAAAAAAAAAAAAAAAAAAAIC3AYbSVKsAQAAA"
        }
      }
    },
    {
      "iss": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs",
      "nbf": 1752096949,
      "jti": "urn:uuid:1",
      "sub": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/1",
      "vc": {
        "@context": [
          "https://www.w3.org/ns/credentials/v2"
        ],
        "id": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/1",
        "type": [
          "VerifiableCredential",
          "BitstringStatusListCredential"
        ],
        "issuer": "did:indy:indicio:test:JKdq87RF5kEsfv7b8BAdqs",
        "validFrom": "2025-07-09T21:35:49.860404+00:00",
        "validUntil": "2026-07-09T21:35:49.860404+00:00",
        "credentialSubject": {
          "id": "https://example.com/jsonld-status-list/tenants/19fa3524-2859-43e2-ac48-2136c9d8a199/w3c/status/1#list",
          "type": "BitstringStatusList",
          "statusPurpose": "revocation",
          "encodedList": "H4sIALXgbmgC_-3BMQEAAADCoPVPbQwfoAAAAAAAAAAAAAAAAAAAAIC3AYbSVKsAQAAA"
        }
      }
    }
  ]
}

Post a status list definition.

Publish a status list definition.